Package org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver

# Class RetryClientWithDelay

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver.RetryClientWithDelay

@RequestScoped public class RetryClientWithDelay extends Object
A client to demonstrate the delay configurations

Author:
  Emily Jiang

## Constructor Summary

Constructors
Constructor
Description
`RetryClientWithDelay()`

## Method Summary

Modifier and Type
Method
Description
`void`
`assertDelayInRange()`
`int`
`getRetryCountForConnectionService()`
`Connection`
`serviceA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryClientWithDelay

public RetryClientWithDelay()

## Method Details

### serviceA

@Retry(delay=400L, maxDuration=3200L, jitter=400L, maxRetries=10) public Connection serviceA()

### assertDelayInRange

public void assertDelayInRange()

### getRetryCountForConnectionService

public int getRetryCountForConnectionService()